### Function

# GLibUnix set_fd_nonblocking

#### Declaration

    gboolean
    g_unix_set_fd_nonblocking (
      gint fd,
      gboolean nonblock,
      GError** error
    )

#### Description

No description available.

#### Parameters

`fd`

  Type: `gint`

  No description available.

`nonblock`

  Type: `gboolean`

  No description available.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.